import React from 'react'
import {Text} from 'react-native'
import {useTheme, atoms as a} from '#/alf'

export function Logotype({width, fill, style}: any) {
  const t = useTheme()
  const fontSize = width ? parseInt(width) / 3.5 : 22

  return (
    <Text style={[
      a.font_bold,
      {
        fontSize,
        color: fill || t.palette.primary_500,
        letterSpacing: -0.5
      },
      style
    ]}>
      Aiat
    </Text>
  )
}
